Bug 834069 - Review Request: clean - The Clean language compiler
Review Request: clean - The Clean language compiler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 14:26 EDT by Patrick Uiterwijk
Modified: 2012-08-05 02:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-15 17:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
test.icl (1.11 KB, text/plain)
2012-06-25 13:56 EDT, Patrick Uiterwijk
no flags Details

  None (edit)
Description Patrick Uiterwijk 2012-06-20 14:26:33 EDT
Spec URL: http://puiterwijk.fedorapeople.org/packages/Clean/Clean.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/Clean/Clean-2.4-1.src.rpm
Description: 
The Clean language compiler.
Released by the MBSD of the Radboud University Nijmegen.
Fedora Account System Username: puiterwijk
Succesfull Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4180760

This is my first package, and I am seeking someone who wants to sponsor me.


To clarify on the rpmlint messages:
The .c and .h files may be required during compilation of a program using the Clean libraries.
Also the empty files are provided by upstream, and should not be removed.
Comment 1 Paul Wouters 2012-06-21 12:47:00 EDT
I'll take it for nostalgic reasons :)
Comment 2 Patrick Uiterwijk 2012-06-25 13:56:17 EDT
Created attachment 594249 [details]
test.icl

This is an example Clean Program which calculates ((1+2)*3)^4 by using Peano arithmatic.
This can be used to verify that the Clean compiler works accurately.

You can put this in a directory, and execute the command "clm test" to generate the program (a.out).

Afterwards, you can run it by using ./a.out, and verify that the outcome is indeed 6561.
Comment 3 Patrick Uiterwijk 2012-06-25 14:04:39 EDT
I have made koji builds on f16 and rawhide to verify that it builds correctly on each of them.

f16: http://koji.fedoraproject.org/koji/taskinfo?taskID=4182605
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4190058
Comment 4 Paul Wouters 2012-06-26 21:32:15 EDT
Why is the package name capitalised? I would strongly prefer "clean" for the package name, even if it still uses "Clean" in the directory name used for install.

The call to ./remove_tmp_files_linux makes me a little nervous. Also the errors for removing non-existing .o's is not neccessary, perhaps use rm -rf or skip it.

The build directory ends up not being versioned. it should be.

I also see a lot of compiling happening on package install, by make and clm being run in %post. That is forbidden and MUST be done in the build, and not the install phase. Why dod you do this? Did they not support a DESTDIR equivalent?

I think you might need to exclude the ppc platform, as you don't have a precompiler setup for that?

Remove the Buildrequires for gcc and make

It should use CFLAGS?= instead of CFLAGS= so it does not override rpmbuild's options. I used sed's line in the spec file for that, though upstream should really fix that. eg:

sed -i "s/CFLAGS=/CFLAGS?=/g" ./src/tools/clm/Makefile.linux64


The make commands in the spec file are not specifying the proper flags, it should be something like:

make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS " CC=gcc

When doing that, it fails to build. I think it might be more link flags variable overrides causing failure.

%install no longer needs an rm -rf at the start

Why does Clean/doc not get shipped in %doc ?

There are lot of "cd" commands in the spec file. Can you phase those out and merge those in the cp/mv/rm lines directly? (avoids any potential subshell issues where cwd is forgotten)

you don't need to specify %attr(755, root, root) as that's the default.




Some of the warnings below are due to the problems listed above.


rpmlint:

Clean.x86_64: W: name-repeated-in-summary C Clean
Clean.x86_64: W: executable-stack /usr/bin/htoclean
Clean.x86_64: W: executable-stack /usr/lib64/Clean/exe/linker
Clean.x86_64: W: executable-stack /usr/lib64/Clean/exe/cocl
Clean.x86_64: W: devel-file-in-non-devel-package /usr/lib64/Clean/ArgEnv/ArgEnvC.c
Clean.x86_64: W: devel-file-in-non-devel-package /usr/lib64/Clean/Directory/Clean System Files/cDirectory.c
Clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_startupTrace.dcl
Clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_startup.dcl
Clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_system.dcl
Clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_startupProfile.dcl
Clean.x86_64: W: devel-file-in-non-devel-package /usr/lib64/Clean/TCPIP/Clean System Files/cTCP_121.h
Clean.x86_64: W: devel-file-in-non-devel-package /usr/lib64/Clean/TCPIP/Clean System Files/cTCP_121.c
Clean.x86_64: W: devel-file-in-non-devel-package /usr/lib64/Clean/Directory/Clean System Files/Clean.h
Clean-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 5 errors, 9 warnings.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[!]: MUST Header files in -devel subpackage, if present.
     Note: Clean-2.4-1.i686.rpm : /usr/lib/Clean/Directory/Clean System
     Files/Clean.h Clean-2.4-1.i686.rpm : /usr/lib/Clean/TCPIP/Clean System
     Files/cTCP_121.h
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST %build honors applicable compiler flags or justifies otherwise.
     ( I added a few sed commands in the spec file to fix some of these)
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: gcc make
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[!]: MUST Package is not known to require ExcludeArch.
     Note: I think it needs to exclude ppc?
[x]: MUST Permissions on files are set properly.
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/lib/Clean/exe/cg
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
     Note: it should package CleanLicenseConditions.txt in %doc
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[!]: MUST Package must own all directories that it creates.
     Note: missing, should have: %dir %{_libdir}/Clean
[x]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.
     Install compiles things - cannot be done
[!]: MUST Requires correct, justified where necessary.
     gcc and make are always implied, do not specify these
[!]: MUST Rpmlint output is silent.

     Note: it is not, see above. Also:

Clean-debuginfo.i686: E: empty-debuginfo-package
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

Looks like binaries might have been stripped by the make process?

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/paul/834069/clean2.4_boot.tar.gz :
  MD5SUM this package     : 558dc5c85322617ea7138a9a6838c89f
  MD5SUM upstream package : 558dc5c85322617ea7138a9a6838c89f
/home/paul/834069/clean2.4_64_boot.tar.gz :
  MD5SUM this package     : b715e981dc1ef6702c2f670ad888f9af
  MD5SUM upstream package : b715e981dc1ef6702c2f670ad888f9af

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[!]: MUST Useful -debuginfo package or justification otherwise.
     Note: broken
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
     Note: add %{?dist} after the Release: number.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD Scriptlets must be sane, if used.
     Note: %post is a problem.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0:
     http://clean.cs.ru.nl/download/Clean24/linux/clean2.4_boot.tar.gz
     (clean2.4_boot.tar.gz) Source1:
     http://clean.cs.ru.nl/download/Clean24/linux/clean2.4_64_boot.tar.gz
     (clean2.4_64_boot.tar.gz) Source2: htoclean.1 (htoclean.1) Patch0:
     Clean.32bit.patch (Clean.32bit.patch) Patch1: Clean.clmman.patch
     (Clean.clmman.patch)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
     Note: ppc should probably be excluded?
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: gcc make
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/lib/Clean/exe/cg
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Rpmlint output is silent.
rpmlint Clean-2.4-1.i686.rpm

Clean.i686: W: name-repeated-in-summary C Clean
Clean.i686: W: executable-stack /usr/lib/Clean/exe/cocl
Clean.i686: W: executable-stack /usr/lib/Clean/exe/linker
Clean.i686: W: executable-stack /usr/bin/htoclean
Clean.i686: W: devel-file-in-non-devel-package /usr/lib/Clean/TCPIP/Clean System Files/cTCP_121.h
Clean.i686: W: devel-file-in-non-devel-package /usr/lib/Clean/Directory/Clean System Files/Clean.h
Clean.i686: W: devel-file-in-non-devel-package /usr/lib/Clean/Directory/Clean System Files/cDirectory.c
Clean.i686: E: zero-length /usr/lib/Clean/StdEnv/_system.dcl
Clean.i686: E: zero-length /usr/lib/Clean/StdEnv/_startupProfile.dcl
Clean.i686: E: zero-length /usr/lib/Clean/StdEnv/_startup.dcl
Clean.i686: W: devel-file-in-non-devel-package /usr/lib/Clean/TCPIP/Clean System Files/cTCP_121.c
Clean.i686: E: zero-length /usr/lib/Clean/StdEnv/_startupTrace.dcl
Clean.i686: W: devel-file-in-non-devel-package /usr/lib/Clean/ArgEnv/ArgEnvC.c
1 packages and 0 specfiles checked; 4 errors, 9 warnings.


rpmlint Clean-debuginfo-2.4-1.i686.rpm

Clean-debuginfo.i686: E: empty-debuginfo-package
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


rpmlint Clean-2.4-1.src.rpm

Clean.src: W: name-repeated-in-summary C Clean
Clean.src: W: %ifarch-applied-patch Patch0: Clean.32bit.patch
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: MUST Header files in -devel subpackage, if present.
     Note: Clean-2.4-1.i686.rpm : /usr/lib/Clean/Directory/Clean System
     Files/Clean.h Clean-2.4-1.i686.rpm : /usr/lib/Clean/TCPIP/Clean System
     Files/cTCP_121.h
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


Generated by fedora-review 0.1.3
Comment 5 Patrick Uiterwijk 2012-06-27 20:05:26 EDT
Thanks for reviewing.
I have read your comments, and fixed as many as possible.

New SPEC: http://puiterwijk.fedorapeople.org/packages/Clean/Clean-2.spec
New SRPMS: http://puiterwijk.fedorapeople.org/packages/Clean/Clean-2.4-2.fc17.src.rpm
New Koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4203212



First, for the naming, I have decided to stay with Clean, because that is the name upstream also uses (even in the middle of a sentence, they write it with capital C: "Learn more about the Clean language by ...").
And according to the Naming Guidelines, you should keep the case as specified by upstream.

The remove_tmp_files_linux script is only deleting a few object files which were built in previous passes, it does not do anything considered dangerous.
I have modified it so that it will use rm -f, to evade the warnings.

I have versioned the build directory.

Compilation during installation has been fixed.
This was needed because clm compiles StdEnv for that specific machine.

I have set ExclusiveArch, since this version is only available on x86 and x86_64.

The BuildRequire's have been removed.

I have changed CFLAGS= into CFLAGS+= and added the nessecary arguments to make.

rm -rf in %install has been removed.

Clean/doc now gets packaged into defaultdocdir/Clean

The attributes actually are needed, because the default of the Clean compiler is 711.

The rpmlint messages are explained in the SPEC file now
# Known errors of RPMLINT:
# Name-repeated-in-summary: This is because the name of the language is the same as that of the compiler
# Executable-stack: the Clean runtime system is built to use this, so this cannot be changed without major overhauling of the Clean compiler itself
# Empty files (_startup.dcl, _startupTrace.dcl, _startupProfile.dcl, _system.dcl, _library.dcl): these must be available while running the compiler
# Wrong-file-end-of-line-encoding: this has been requested upstream
# %ifarch-applied-patch: because the archives for 32-bit and 64-bit differ in more then the bootstrapped files, this has to be done (some files have the same name, but have different contents)

I have removed the debuginfo package option, because the Clean linker strips all debug info, without any option to re-enable it.

I have added the %{?dist} tag.

I have used %{name} in the patchX names, for sourceX this is not possible, because the archive names are with small letters.
Comment 6 Paul Wouters 2012-06-27 21:12:17 EDT
Note that when writing about software people often capitalize it. I do the same for Openswan for example. But when people install packages, they most often assume or look for lovercased package names, and using a capital is just making it harder for people to find the package.

Some minor things:

warning: File listed twice: /usr/lib64/Clean

warning: File listed twice: /usr/share/doc/Clean

Related: You should not need to use the %{_defaultdocdir}. By adding things using %doc it should appear at the proper place. It will then also properly version the doc dir as /usr/share/doc/Clean-2.4-2/ So just do:

%doc doc/*


Clean.x86_64: W: unstripped-binary-or-object /usr/bin/clm

Guess that's unavoidable now with the debuginfo not really working for clean package. So, OK.

Clean.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/Clean/CleanLangRep/CleanRep.2.2.css

Can you convert that using tr or dos2unix?

# Patch clm to use the /bin directory

Can you patch it for /usr/bin since /bin is a symlink to /usr/bin/

With these, I'll approve the package, though I still have a strong preference for a package name without a capital C.
Comment 7 Patrick Uiterwijk 2012-06-28 04:26:35 EDT
Thanks for your feedback.

New SPEC: http://puiterwijk.fedorapeople.org/packages/Clean/clean-3.spec
New SRPM: http://puiterwijk.fedorapeople.org/packages/Clean/clean-2.4-3.fc17.src.rpm
New Koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4204007
t

I have renamed the package to clean, with lowercase c, thanks for clearing that up.

I have removed the %dir lines, because according to the RPM manual (at http://www.rpm.org/max-rpm/s1-rpm-inside-files-list-directives.html), the RPM should already claim the directory without it, and %dir indicates you only want the directory.

The %doc lines have been fixed.

The wrong-file-end-of-line encoding has been converted.

I was patching clm to use %{_libdir}, the "patch to use /bin" was only a commentary issue, but has been fixed.
Comment 8 Paul Wouters 2012-06-28 10:34:24 EDT
Package is APPROVED. Now let's get you a sponsor

All listed issues above addressed. Mock builds. Compiling and running a small test program works. rpmlint warnings understood and ok:

clean.src: W: name-repeated-in-summary C Clean
clean.src:66: W: macro-in-comment %{_libdir}
clean.src: W: %ifarch-applied-patch Patch0: %{name}.makefiles.patch
clean.src: W: %ifarch-applied-patch Patch1: %{name}.32bit.patch
clean.src: W: %ifarch-applied-patch Patch2: %{name}.64bit.patch
clean.x86_64: W: name-repeated-in-summary C Clean
clean.x86_64: W: unstripped-binary-or-object /usr/bin/clm
clean.x86_64: W: executable-stack /usr/bin/htoclean
clean.x86_64: W: executable-stack /usr/lib64/Clean/exe/linker
clean.x86_64: W: executable-stack /usr/lib64/Clean/exe/cocl
clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_startup.dcl
clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_startupTrace.dcl
clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_system.dcl
clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_startupProfile.dcl
clean.x86_64: E: zero-length /usr/lib64/Clean/StdEnv/_library.dcl
2 packages and 0 specfiles checked; 5 errors, 10 warnings.

Minor: Probably remove or fixup /usr/share/doc/clean-2.4/Examples/make.bat for Linux when you make the next release.
Comment 9 Patrick Uiterwijk 2012-06-28 10:45:01 EDT
Thank you!

Should I (according to the "How to get sponsored into the packager group" wiki page) try to contact current sponsors (by IRC) or review, or do you have contacts for that purpose?
Comment 10 Patrick Uiterwijk 2012-06-29 01:21:44 EDT
I have updated the package as per your suggestion, the doc/Examples/make.bat is removed.
I also strip bin/clm, as a debuginfo package is not usefull, but disabling that also disables the stripping.

New SPEC: http://puiterwijk.fedorapeople.org/packages/Clean/clean-4.spec
New SRPM: http://puiterwijk.fedorapeople.org/packages/Clean/clean-2.4-4.fc17.src.rpm
New Koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4206767
Comment 11 Ralf Corsepius 2012-06-29 01:46:55 EDT
(In reply to comment #10)
> I have updated the package as per your suggestion, the doc/Examples/make.bat
> is removed.
> I also strip bin/clm, as a debuginfo package is not usefull, but disabling
> that also disables the stripping.

I think, this all actually is related to (MUSTFIX) building not acknowledging RPM_OPT_FLAGS and it playing dirty gameswith CFLAGS:
...
make[1]: Entering directory `/builddir/build/BUILD/clean/src/CodeGenerator'
gcc -DI486 -DGNU_C -DLINUX -DLINUX_ELF -DG_AI64 -O -fomit-frame-pointer   -c -o cg.o cg.c
...
Comment 13 Paul Wouters 2012-06-29 15:13:01 EDT
Patrick: until the new sponsor method takes effect, I can't help you get a sponsor. You can try asking on #fedora-devel or on the mailing list.
Comment 14 Jason Tibbitts 2012-06-29 15:43:25 EDT
To which "new sponsor method" do you refer?  We already made a bunch of changes to the process a few weeks ago and to my knowledge there are no further changes proposed.
Comment 15 Patrick Uiterwijk 2012-06-29 15:55:15 EDT
I will ask on #fedora-devel for someone who would want to sponsor me.

I have found out that there was an issue in the previous build which would make it impossible to import StdEnv on the x86_64 build.
(Standard Environment, which is a library included in (almost) all Clean applications).
This has been fixed in this version.

New SPEC: http://puiterwijk.fedorapeople.org/packages/Clean/clean-6.spec
New SRPM: http://puiterwijk.fedorapeople.org/packages/Clean/clean-2.4-6.fc17.src.rpm
New Koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4208166
Comment 16 Patrick Uiterwijk 2012-06-30 06:36:58 EDT
I have improved the package(s) a bit more.
The changes are:
- Packaging less pre-compiled files (only the really needed pre-compiled files like _startup* and _system are still packaged)
- cg, cocl and linker moved to libexec as per HFS
- Folder names made consistent (Clean -> clean)
- Subpackages for optional modules added

New SPEC: http://puiterwijk.fedorapeople.org/packages/Clean/clean-7.spec
New SRPM: http://puiterwijk.fedorapeople.org/packages/Clean/clean-2.4-7.fc17.src.rpm
New Koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4208876
Comment 17 Patrick Uiterwijk 2012-07-06 16:00:34 EDT
I have improved the package again after testing my package for some time.
Most of the modified things (all in the changelog) are small things that are just clearing some things up.
Some notable changes include:
- Removed Dynamics, as this is not supported on Linux (asked upstream)
- Patched clm to include all sub-directories of PATHLISTRT (%{_libdir}/%{name} in this package) so you don't have to add -I for every module you want to import if you installed it in a sub-directory of PATHLISTRT.

New SPEC: http://puiterwijk.fedorapeople.org/packages/Clean/clean-8.spec
New SRPM: http://puiterwijk.fedorapeople.org/packages/Clean/clean-2.4-8.fc17.src.rpm
New Koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4223685
Comment 18 Paul Wouters 2012-07-06 18:00:37 EDT
checke the 2.4-8 build. APPROVED

Though switch $RPM_OPT_FLAGS for %{optflags} for consistency
Comment 19 Patrick Uiterwijk 2012-07-06 18:20:32 EDT
New Package SCM Request
=======================
Package Name: clean
Short Description: The Clean language compiler
Owners: puiterwijk pwouters
Branches: f16 f17
InitialCC:
Comment 21 Gwyn Ciesla 2012-07-06 22:54:25 EDT
Git done (by process-git-requests).
Comment 22 Fedora Update System 2012-07-07 02:24:41 EDT
clean-2.4-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clean-2.4-9.fc17
Comment 23 Fedora Update System 2012-07-07 02:38:47 EDT
clean-2.4-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clean-2.4-9.fc16
Comment 24 Fedora Update System 2012-07-07 17:53:20 EDT
clean-2.4-9.fc16 has been pushed to the Fedora 16 testing repository.
Comment 25 Fedora Update System 2012-07-15 17:27:38 EDT
clean-2.4-9.fc16 has been pushed to the Fedora 16 stable repository.
Comment 26 Fedora Update System 2012-07-15 17:27:58 EDT
clean-2.4-9.fc17 has been pushed to the Fedora 17 stable repository.
Comment 27 Patrick Uiterwijk 2012-07-20 04:57:28 EDT
Package Change Request
======================
Package Name: clean
New Branches: el5 el6
Owners: puiterwijk

After reading more about EPEL (as suggested in the Join the package collection maintainers wiki page), I am now requesting branches for it.
Comment 28 Gwyn Ciesla 2012-07-20 08:31:24 EDT
Git done (by process-git-requests).
Comment 29 Fedora Update System 2012-07-20 19:21:09 EDT
clean-2.4-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clean-2.4-11.el5
Comment 30 Fedora Update System 2012-07-20 19:21:22 EDT
clean-2.4-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clean-2.4-11.el6
Comment 31 Fedora Update System 2012-08-05 02:34:20 EDT
clean-2.4-11.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 32 Fedora Update System 2012-08-05 02:41:45 EDT
clean-2.4-11.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.